{
  "feature": "cawezs_mantle_to_stratus:frozenpowder",
  "placement": [
    {
      "type": "minecraft:count_on_every_layer",
      "count": 1
    },
    {
      "type": "environment_scan",
      "direction_of_search": "down",
      "target_condition": {
        "type": "minecraft:not",
        "predicate": {
          "type": "minecraft:matching_blocks",
          "blocks": "minecraft:air"
        }
      },
      "max_steps": 32
    },
    {
      "type": "minecraft:biome"
    }
  ]
}